Text Mask for Dims & MLeaders

I recently learned this great tip and am eager to share it here.

Adding text masking to Text & MText is easy in 2011 but many people just give up when it comes to adding them to Dimensions or MultiLeaders. Here’s how:

1) Before starting – Use one of the DRAWORDER commands to make sure that the dimension/MLeader is at the front.

  • the TEXTTOFRONT command will bring all text objects including Mleaders and Dimensions to the front
  • The HATCHTOBACK command will send all hatches to the back of the drawing order.

2) Select the dimension or multi-leader > Right-Click > Select Properties


Once in the Properties Palette, scroll down and find the “Background mask” button. It will say “No.” Simply click on “No” and choose “Yes” from the drop-down list and close the properties palette.

Now, your Dimensions and MultiLeaders can be easily read when the are in a hatch or are overlapping an object.


~enjoy!!

Advertisements

About AutoCAD Tips

This blog serves as a knowledge base for myself (and anyone else) so that I can reference tips & tricks that I have learned and also refer others to it as well. I hope that this blog helps you learn at least one tip to make your drafting/design experience better.
This entry was posted in Dimensions, Leaders, Modifying, Text, TIPS. Bookmark the permalink.

8 Responses to Text Mask for Dims & MLeaders

  1. Pingback: AutoLISP: Background Text Mask (Mtext Only) | AutoCAD Tips

  2. Stef says:

    Excellent hint – can background masking be set easily to on as the default for all textual objects? If so, how?

    • AutoCAD Tips says:

      Without using a lisp routine I don’t know if this is possible because if you select a text object and then use the SELECTSIMILAR command for example, it will select all similar text objects regardless of whether or not they have text masks applied. The same is true for the QSELECT and FILTER commands.

      I will look around and see if I have anything for this

      • AutoCAD Tips says:

        I did find a possible problem with trying to implement a Toggle that would allow you to toggle the wipeouts on or off. Once you turn them off the wipeouts are actually deleted and so if you want to turn them back on again, there is no way to un-erase them.

        I was a ble to find the following line of code that will search the drawing and create a selection set of wipeouts. Although, that is all that it does. It’s up to you to use a command to modify them…

        (sssetfirst nil (ssget “_X” ‘((0 . “WIPEOUT”))))

  3. AutoCAD Tips says:

    ok – so i found a routine that will make a selection set of the wipouts and then delete them:

    (defun C:UNMTMASK (/ SS N)
    (vl-load-com)
    (setq SS (ssget "x" '((0 . "mtext")))
    N 0
    )
    (if SS
    (repeat (sslength SS)
    (vla-put-backgroundfill
    (vlax-ename->vla-object (ssname SS N))
    0
    )
    (setq N (1+ N))
    )
    )
    (princ)
    )
    • Stef says:

      Thanks for the response. Whilst “background mask” IS a selectable property for mtext and multi-leader text, it is NOT an available property for dtext!! And it seems that the default setting of “off” for text masking cannot therefore be altered to “on” and saved in a template for future use. One has therefore to ensure text is created with either of the former two text options, selected (filter or Select similar) and then the masking property set to “on”.

  4. Tim Braden says:

    I created a program to insert nomenclature on a line. eg. HWS. The text is placed automatically on the line layer, same angle as the line, & a particular color. Unfortunately, it cuts the line to allow the text to be seen. I would like to use mtext with a mask so the line is never cut. Basically, mtext command, placed on a line, on the correct layer & angle as the line, & masked. I would like to do this in (1) program instead of going thru my program, or all the steps to make it work. I had many problems with masking text as the mask box doesnot change shape to accommodate the changing of the text, say from 4 characters to 6. any tips what I can do?

    Tim B.

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s